3 Replies Latest reply on Sep 28, 2006 3:39 PM by Andrew Rubinger

    EJB3 RC9 Deserialization Errors

    Andrew Rubinger Master

      A note:

      If you've upgraded JBoss 4.0.4-GA to EJB3 using the patch installer, the EJB3 libs in $JBOSS_HOME/client are not updated.

      If you continue to use these libs when accessing EJB3s from an RC9 server, you'll get something similar to this on deserialization:

      Root exception is java.io.InvalidClassException: org.jboss.ejb3.remoting.IsLocalInterceptor;
       local class incompatible: stream classdesc serialVersionUID = -3758782076801249473, local class serialVersionUID = 595045557897063404]


      ...because the EJB3 Proxy doesn't declare a serialVersionUID, as noted in http://jira.jboss.com/jira/browse/EJBTHREE-402

      So use the JARs in $JBOSS_HOME/server/{instanceName}/deploy/ejb3.deployer.

      Hoping this will save someone out there some time.

      S,
      ALR